# &kde;-Benutzerhandbuch

Harri
Porten

    porten@kde.org

15.10.2008
0.01.01
kjs
1

# `kjs`

&kde;-ECMAScript-kompatibler Interpreter

## Kurzbeschreibung

    kjs  --help -help -h   -e statement   script

## Beschreibung

`kjs` ist der KDE-ECMAScript/JavaScript-Interpreter.

## Anwendungsoptionen

`--help`,`-help`,`-h`

  Hilfe zu `kjscmd` anzeigen.

`-e` `statement`

  Führt den Skript-Ausdruck aus und beendet anschließend. Beispiel:

      kjs -e "print('hello world')"

`script`

  Führt die Skript-Befehle aus, die in der Datei `script` enthalten sind.

## Benutzung

Wird `kjs` `file` ohne Parameter aufgerufen, verhält sich das Programm wie viele andere Interpreter auch: Es wird eine Eingabeaufforderung

    JS
    >

angezeigt, an der Sie Befehle eingeben können. Beenden Sie die Eingabeaufforderung mit dem Befehl `quit()` oder drücken Sie `Strg+D`.

## Siehe auch

kjs(1)

## Fehler

Berichten Sie Fehler auf bugs.kde.org.